from geometries import Rectangle
import logging

logging.basicConfig(filename='app.log', level=logging.INFO,format='%(asctime)s %(message)s')

def ask_user_for_dimensions():
    height = input("Create a new rectangle.\nWhat is the height? ")
    width = input("\nWhat is the width? ")

    try:
        height = float(height)
        width = float(width)

        assert height > 0
        assert width > 0        

    except ValueError:
        print("Please enter a number and use a point as decimal separator!")
        logging.warning("User entered a non numeric value")
        ask_user_for_dimensions()
    except AssertionError:
        print("Please enter a positive number!")
        logging.warning("User entered a negative value")
        ask_user_for_dimensions()
    else:
        rectangle = Rectangle(width,height)
        logging.info(f"Created a rectangle with dimensions {rectangle.width} x {rectangle.height}")
        print(f"Created a rectangle with dimensions {rectangle.width} x {rectangle.height}")

if __name__ == "__main__":
    logging.warning('Programm gestartet')
    ask_user_for_dimensions()

